> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Localized News

> Update news item to include localized version

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| TitleDefaultLanguageNotSet | 1393 |
| TitleNewsDuplicateLanguage | 1424 |
| TitleNewsInvalidLanguage | 1426 |
| TitleNewsNotFound | 1423 |




## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/AddLocalizedNews
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/AddLocalizedNews:
    post:
      tags:
        - Title-Wide Data Management
      summary: Add Localized News
      description: |
        Update news item to include localized version

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | TitleDefaultLanguageNotSet | 1393 |
        | TitleNewsDuplicateLanguage | 1424 |
        | TitleNewsInvalidLanguage | 1426 |
        | TitleNewsNotFound | 1423 |
      operationId: AddLocalizedNews
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddLocalizedNewsRequest'
      responses:
        '200':
          $ref: '#/components/responses/AddLocalizedNewsResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    AddLocalizedNewsRequest:
      type: object
      properties:
        Body:
          description: Localized body text of the news.
          type: string
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Language:
          description: Language of the news item.
          type: string
        NewsId:
          description: Unique id of the updated news item.
          type: string
        Title:
          description: Localized title (headline) of the news item.
          type: string
      required:
        - NewsId
        - Language
        - Title
        - Body
      example:
        NewsId: 74623b12-6c80-ee4b-7c3b-58e638aa62bd
        Language: en
        Title: News of the Day
        Body: <b>We have a new object to buy!</b>
    AddLocalizedNewsResult:
      type: object
      properties: {}
      example: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    AddLocalizedNewsResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/AddLocalizedNewsResult'
            example:
              code: 200
              status: OK
              data: {}
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Add Localized News](/services/playfab/api-references/rest/admin/title-wide-data-management/add-localized-news.md)
- [Title News quickstart](/services/playfab/live-service-management/game-configuration/title-communications/news/quickstart.md)
- [Content & Configuration Writes Meter API Description](/services/playfab/pricing/meters/file-writes.md)
- [PlayFab Release Notes 2019](/services/playfab/release-notes/2019.md)
- [Add News](/services/playfab/api-references/rest/admin/title-wide-data-management/add-news.md)
